/*
 * Copyright (C) 2014 Francesco Azzola
 *  Surviving with Android (http://www.survivingwithandroid.com)
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package com.survivingwithandroid.weatherapp.util;

import com.survivingwithandroid.weather.lib.WeatherConfig;
import com.survivingwithandroid.weather.lib.model.Weather;
import com.survivingwithandroid.weather.lib.util.UnitUtility;
import com.survivingwithandroid.weather.lib.util.WeatherUtility;
import com.survivingwithandroid.weatherapp.R;

import java.util.Locale;

/**
 * Created by Francesco on 20/03/14.
 */
public class WeatherUtil {

    public static int getResource(float val, WeatherConfig config) {
        float temp = val;
        if (!WeatherUtility.isMetric(config.unitSystem))
           temp = UnitUtility.toCelcius(val);

        int resId = 0;
        if (temp < 10)
            resId = R.drawable.line_shape_blue;
        else if (temp >= 10 && temp <=24)
            resId = R.drawable.line_shape_green;
        else if (temp > 25)
            resId = R.drawable.line_shape_red;

        return resId;

    }

    public static String getLanguage(String val) {
        if (val == null)
            return "en";

        if (val.equalsIgnoreCase("system"))
            return Locale.getDefault().getLanguage();

        return null;
    }
}
